#-------------------------------------------------------------------------------
MACRO (JPEG_SET_LIB_OPTIONS libtarget libname libtype)
  # message (STATUS "${libname} libtype: ${libtype}")
  HDF_SET_LIB_OPTIONS (${libtarget} ${libname} ${libtype})

  IF (${libtype} MATCHES "SHARED")
    IF (WIN32)
      SET (LIBJPEG_VERSION ${JPEG_PACKAGE_VERSION_MAJOR})
    ELSE (WIN32)
      SET (LIBJPEG_VERSION ${JPEG_PACKAGE_VERSION})
    ENDIF (WIN32)

    IF (NOT CYGWIN)
      # This property causes shared libraries on Linux to have the full version
      # encoded into their final filename.  We disable this on Cygwin because
      # it causes cygjpeg-${JPEG_FULL_VERSION}.dll to be created when cygjpeg.dll
      # seems to be the default.
      SET_TARGET_PROPERTIES (${libtarget} PROPERTIES VERSION ${LIBJPEG_VERSION})
    ENDIF (NOT CYGWIN)
    SET_TARGET_PROPERTIES (${libtarget} PROPERTIES SOVERSION ${LIBJPEG_VERSION})
  ENDIF (${libtype} MATCHES "SHARED")

  #-- Apple Specific install_name for libraries
  IF (APPLE)
    OPTION (JPEG_BUILD_WITH_INSTALL_NAME "Build with library install_name set to the installation path" OFF)
    IF (JPEG_BUILD_WITH_INSTALL_NAME)
      SET_TARGET_PROPERTIES(${libtarget} PROPERTIES
          LINK_FLAGS "-current_version ${JPEG_PACKAGE_VERSION} -compatibility_version ${JPEG_PACKAGE_VERSION}"
          INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
          BUILD_WITH_INSTALL_RPATH ${JPEG_BUILD_WITH_INSTALL_NAME}
      )
    ENDIF (JPEG_BUILD_WITH_INSTALL_NAME)
  ENDIF (APPLE)

ENDMACRO (JPEG_SET_LIB_OPTIONS)

